<?xml-model ?>
<xtriples>
    <configuration>
        <vocabularies>
            <!-- THE LINCS/ CWRC URI HOST -->
            <vocabulary prefix="local" uri="http://cwrc.ca/#"/>

            <!-- fonctionnal ontologies -->
            <vocabulary prefix="tei" uri="http://www.tei-c.org/ns/1.0"/>
            <vocabulary prefix="rdf" uri="http://www.w3.org/1999/02/22-rdf-syntax-ns#"/>
            <vocabulary prefix="owl" uri="http://www.w3.org/2002/07/owl#"/>
            <vocabulary prefix="rdfs" uri="http://www.w3.org/2000/01/rdf-schema#"/>
            
            <!--  wikidata  -->
            <vocabulary prefix="wd" uri="https://www.wikidata.org/wiki/Special:EntityData/"/>
            <!-- cidoc crm -->
            <vocabulary prefix="cwrc" uri="http://sparql.cwrc.ca/ontologies/cwrc.html/#"/>
            <vocabulary prefix="cidoc" uri="http://www.cidoc-crm.org/cidoc-crm/#"/>
        </vocabularies>
        <triples>
         <!-- WITH WIKI ID -->
            <statement>
                <subject>/../tei:person/tei:idno[@type='WIKIDATA']/text()</subject>
                <predicate prefix="rdf">type</predicate>
                <object prefix="cidoc" type="uri">E21_Person</object>     
            </statement>
             <statement>
                <subject prefix="local">/../tei:person[@sex=2]/tei:idno[@type='WIKIDATA']/text()</subject>
                <predicate prefix="cwrc">GenderType</predicate>
                <object prefix="cwrc" type="uri">woman</object>-->
            </statement>
            <statement>
                <subject prefix="local">/../tei:person[@sex=1]/tei:idno[@type='WIKIDATA']/text()</subject>
                <predicate prefix="cwrc">GenderType</predicate>
                <object prefix="cwrc" type="uri">man</object>-->
            </statement>
            <statement>
              <subject prefix="local">/../tei:person/tei:idno[@type='WIKIDATA']/text()</subject>
              <predicate prefix="cwrc">givenName</predicate>
              <object type="literal">/tei:persName/tei:forename</object>
            </statement>
            <statement>
              <subject prefix="local">/../tei:person/tei:idno[@type='WIKIDATA']/text()</subject>
              <predicate prefix="cwrc">givenName</predicate>
              <object type="literal">/tei:persName/tei:surname</object>
            </statement>
             <statement>
                <subject prefix="local">/../tei:person/tei:idno[@type='WIKIDATA']/text()</subject>
                <predicate prefix="owl">sameAs</predicate>
                <object type="uri">/tei:idno[@type!='WIKIDATA']/text()</object>
            </statement>
            <statement>
                <subject prefix="local">/../tei:person/tei:idno[@type='WIKIDATA']/text()</subject>
                <predicate prefix="owl">sameAs</predicate>
                <object prefix="local" type="uri">/@xml:id</object>
            </statement>
            <statement>
                <subject prefix="local">/../tei:person/tei:idno[@type='WIKIDATA']/text()</subject>
                <predicate prefix="cidoc">P3_hasNote</predicate>
                <object datatype="literal" lang="en">/tei:note[@type="bio"]</object>
            </statement> 
             <!-- AFFILIATION -->
            <statement>
                <condition>/tei:affiliation[@instant='false']</condition>
                <subject prefix="local">/../tei:person/tei:idno[@type='WIKIDATA']/text()</subject>
                <predicate prefix="cidoc">P107_has_current_or_former_member</predicate>
                <object type="uri" prefix="local">/tei:affiliation/replace(@ref,"#","")</object>
            </statement> 
            <!-- NATIONALITY -->
            <statement>
                <condition>/tei:nationality[contains(lower-case(./text()),'scottish')]</condition>
                <subject prefix="local">/../tei:person/tei:idno[@type='WIKIDATA']/text()</subject>
                <predicate prefix="cwrc">hasNationality</predicate>
                <object type="uri" prefix="wd">Q181634</object>
            </statement> 
            <statement>
                <condition>/tei:nationality[contains(lower-case(./text()),'english')]</condition>
                <subject prefix="local">/../tei:person/tei:idno[@type='WIKIDATA']/text()</subject>
                <predicate prefix="cwrc">hasNationality</predicate>
                <object type="uri" prefix="wd">Q42406</object>
            </statement> 
            <!-- OCCUPATION -->
            <statement>
                <condition>/tei:occupation[contains(lower-case(./text()),'publisher')]</condition>
                <subject prefix="local">/../tei:person/tei:idno[@type='WIKIDATA']/text()</subject>
                <predicate prefix="cwrc">hasOccupation</predicate>
                <object type="uri" prefix="cwrc">publishing</object>
            </statement> 
               <statement>
                <condition>/tei:occupation[contains(lower-case(./text()),'accountant')]</condition>
                <subject prefix="local">/../tei:person/tei:idno[@type='WIKIDATA']/text()</subject>
                <predicate prefix="cwrc">hasOccupation</predicate>
                <object type="uri" prefix="cwrc">accountant</object>
            </statement> 
            <statement>
                <condition>/tei:occupation[contains(lower-case(./text()),'writer')]</condition>
                <subject prefix="local">/../tei:person/tei:idno[@type='WIKIDATA']/text()</subject>
                <predicate prefix="cwrc">hasOccupation</predicate>
                <object type="uri" prefix="cwrc">writer</object>
            </statement> 
            <!-- BIRTH DEATH PROPERTIES -->
            <statement>
                <condition>/../tei:person/tei:birth</condition>
                <subject prefix="local">/../tei:person/tei:idno[@type='WIKIDATA']/text()</subject>
                <predicate prefix="cidoc">P98_brought_into_life</predicate>
                <object type="uri" prefix="local">/tei:birth/concat(../@xml:id,"_Birth")</object>
            </statement> 
            <statement>
                <condition>/../tei:person/tei:death</condition>
                <subject prefix="local">/../tei:person/tei:idno[@type='WIKIDATA']/text()</subject>
                <predicate prefix="cidoc">P100_was_death_of</predicate>
                <object type="uri" prefix="local">/tei:death/concat(../@xml:id,"_Death")</object>
            </statement> 

            <!-- WITHOUT WIKI ID -->
            <statement>
              <subject prefix="local">/../tei:person[not(tei:idno[@type='WIKIDATA'])]/@xml:id</subject>
              <predicate prefix="rdf">type</predicate>
              <object prefix="cidoc" type="uri">E21_Person</object>   
            </statement>
            <statement>
                <subject prefix="local">/../tei:person[@sex=2 and not(tei:idno[@type='WIKIDATA'])]/@xml:id</subject>
                <predicate prefix="cwrc">GenderType</predicate>
                <object prefix="cwrc" type="uri">woman</object>-->
            </statement>
            <statement>
                <subject prefix="local">/../tei:person[@sex=1 and not(tei:idno[@type='WIKIDATA'])]/@xml:id</subject>
                <predicate prefix="cwrc">GenderType</predicate>
                <object prefix="cwrc" type="uri">man</object>-->
            </statement>
            <statement>
              <subject prefix="local">/../tei:person[not(tei:idno[@type='WIKIDATA'])]/@xml:id</subject>
              <predicate prefix="cwrc">givenName</predicate>
              <object type="literal">/tei:persName/tei:forename</object>
            </statement>
            <statement>
              <subject prefix="local">/../tei:person[not(tei:idno[@type='WIKIDATA'])]/@xml:id</subject>
              <predicate prefix="cwrc">givenName</predicate>
              <object type="literal">/tei:persName/tei:surname</object>
            </statement>
            <statement>
                <subject prefix="local">/../tei:person[not(tei:idno[@type='WIKIDATA'])]/@xml:id</subject>
                <predicate prefix="owl">sameAs</predicate>
                <object type="literal">/tei:idno/text()</object>
            </statement>
            <statement>
                <subject prefix="local">/../tei:person[not(tei:idno[@type='WIKIDATA'])]/@xml:id</subject>
                <predicate prefix="cidoc">P3_hasNote</predicate>
                <object datatype="literal" lang="en">/tei:note[@type="bio"]</object>
            </statement> 
            <!-- AFFILIATION -->
            <statement>
                <condition>/tei:affiliation[@instant='false']</condition>
                <subject prefix="local">/../tei:person[not(tei:idno[@type='WIKIDATA'])]/@xml:id</subject>
                <predicate prefix="cidoc">P107_has_current_or_former_member</predicate>
                <object type="uri" prefix="local">/tei:affiliation/replace(@ref,"#","")</object>
            </statement> 
            <!-- OCCUPATION -->
            <statement>
                <condition>/tei:occupation[contains(lower-case(./text()),'publisher')]</condition>
                <subject prefix="local">/../tei:person[not(tei:idno[@type='WIKIDATA'])]/@xml:id</subject>
                <predicate prefix="cwrc">hasOccupation</predicate>
                <object type="uri" prefix="cwrc">publishing</object>
            </statement> 
               <statement>
                <condition>/tei:occupation[contains(lower-case(./text()),'accountant')]</condition>
                <subject prefix="local">/../tei:person[not(tei:idno[@type='WIKIDATA'])]/@xml:id</subject>
                <predicate prefix="cwrc">hasOccupation</predicate>
                <object type="uri" prefix="cwrc">accountant</object>
            </statement> 
            <statement>
                <condition>/tei:occupation[contains(lower-case(./text()),'writer')]</condition>
                <subject prefix="local">/../tei:person[not(tei:idno[@type='WIKIDATA'])]/@xml:id</subject>
                <predicate prefix="cwrc">hasOccupation</predicate>
                <object type="uri" prefix="cwrc">writer</object>
            </statement>
            <!-- NATIONALITY -->
             <statement>
                <condition>/tei:nationality[contains(lower-case(./text()),'scottish')]</condition>
                <subject prefix="local">/../tei:person[not(tei:idno[@type='WIKIDATA'])]/@xml:id</subject>
                <predicate prefix="cwrc">hasNationality</predicate>
                <object type="uri" prefix="wd">Q181634</object>
            </statement> 
            <statement>
                <condition>/tei:nationality[contains(lower-case(./text()),'english')]</condition>
                <subject prefix="local">/../tei:person[not(tei:idno[@type='WIKIDATA'])]/@xml:id</subject>
                <predicate prefix="cwrc">hasNationality</predicate>
                <object type="uri" prefix="wd">Q42406</object>
            </statement>

            <!-- BIRTH DEATH PROPERTIES --> 
            <statement>
                <condition>/../tei:person/tei:birth</condition>
                <subject prefix="local">/../tei:person[not(tei:idno[@type='WIKIDATA'])]/@xml:id</subject>
                <predicate prefix="cidoc">P98_brought_into_life</predicate>
                <object type="uri" prefix="local">/tei:birth/concat(../@xml:id,"_Birth")</object>
            </statement> 
            <statement>
                <condition>/../tei:person/tei:death</condition>
                <subject prefix="local">/../tei:person[not(tei:idno[@type='WIKIDATA'])]/@xml:id</subject>
                <predicate prefix="cidoc">P100_was_death_of</predicate>
                <object type="uri" prefix="local">/tei:death/concat(../@xml:id,"_Death")</object>
            </statement>

          <!-- FOR ALL -->
             <statement>
                <condition>/../tei:person/tei:event[(@type="marriage" or @type="wedding")]</condition>
                <subject prefix="local">/../tei:person/tei:event//tei:persName[1]/replace(@ref, "#", "")</subject>
                <predicate prefix="cidoc">P143_joinded</predicate><!-- crwc:hasBirthDate-->
                <object type="uri" prefix="local">/concat(tei:event//tei:persName[1]/replace(@ref, "#", ""),"_",tei:event//tei:persName[2]/replace(@ref, "#", ""),"_Wedding")</object>
            </statement>
             <statement>
                <condition>/../tei:person/tei:event[(@type="marriage" or @type="wedding")]</condition>
                <subject prefix="local">/../tei:person/tei:event//tei:persName[1]/replace(@ref, "#", "")</subject>
                <predicate prefix="cidoc">P144_joined_with</predicate><!-- crwc:hasBirthDate-->
                <object type="uri" prefix="local">/concat(tei:event//tei:persName[1]/replace(@ref, "#", ""),"_",tei:event//tei:persName[2]/replace(@ref, "#", ""),"_Marriage")</object>
            </statement>
             <statement>
                <condition>/../tei:person/tei:event[(@type="marriage" or @type="wedding")]</condition>
                <subject prefix="local">/../tei:person/tei:event//tei:persName[2]/replace(@ref, "#", "")</subject>
                <predicate prefix="cidoc">P143_joinded</predicate><!-- crwc:hasBirthDate-->
                <object type="uri" prefix="local">/concat(tei:event//tei:persName[1]/replace(@ref, "#", ""),"_",tei:event//tei:persName[2]/replace(@ref, "#", ""),"_Wedding")</object>
            </statement>
             <statement>
                <condition>/../tei:person/tei:event[(@type="marriage" or @type="wedding")]</condition>
                <subject prefix="local">/../tei:person/tei:event//tei:persName[2]/replace(@ref, "#", "")</subject>
                <predicate prefix="cidoc">P144_joined_with</predicate><!-- crwc:hasBirthDate-->
                <object type="uri" prefix="local">/concat(tei:event//tei:persName[1]/replace(@ref, "#", ""),"_",tei:event//tei:persName[2]/replace(@ref, "#", ""),"_Marriage")</object>
            </statement>

            <!-- BIRTH -->
           <statement>
                <condition>/../tei:person/tei:birth</condition>
                <subject prefix="local">/concat(@xml:id,"_Birth")</subject>
                <predicate prefix="rdf">type</predicate>
                <object prefix="cidoc" type="uri">E67_Birth</object>
            </statement> 

             <statement>
                <condition>/../tei:person/tei:birth</condition>
                <subject prefix="local">/concat(@xml:id,"_Birth")</subject>
                <predicate prefix="cwrc">PunctiveTime</predicate><!-- crwc:hasBirthDate-->
                <object  prefix="local" type="date">/tei:birth/@when</object>
            </statement>

            <!-- DEATH -->
             <statement>
                <condition>/../tei:person/tei:death</condition>
                <subject prefix="local">/concat(@xml:id,"_Death")</subject>
                <predicate prefix="rdf">type</predicate>
                <object prefix="cidoc" type="uri">E67_Death</object>
            </statement>

             <statement>
                <condition>/../tei:person/tei:death</condition>
                <subject prefix="local">/concat(@xml:id,"_Death")</subject>
                <predicate prefix="cwrc">PunctiveTime</predicate><!-- crwc:hasBirthDate-->
                <object  prefix="local" type="date">/tei:death/@when</object>
            </statement>

            <!-- MARIAGE -->
            <statement>
                <condition>/../tei:person/tei:event[@type="marriage" or @type="wedding"]</condition>
                <subject prefix="local">/concat(tei:event//tei:persName[1]/replace(@ref, "#", ""),"_",tei:event//tei:persName[2]/replace(@ref, "#", ""),"_Wedding")</subject>
                <predicate prefix="rdf">type</predicate>
                <object prefix="cidoc" type="uri">E85_Joining</object>
            </statement>
            <statement>
                <condition>/../tei:person/tei:event[@type="marriage" or @type="wedding"]</condition>
                <subject prefix="local">/concat(tei:event//tei:persName[1]/replace(@ref, "#", ""),"_",tei:event//tei:persName[2]/replace(@ref, "#", ""),"_Wedding")</subject>
                <predicate prefix="cidoc">P2_has_type</predicate>
                <object datatype="literal" lang="en">wedding</object>
            </statement>

            <statement>
                <condition>/../tei:person/tei:event[@type="marriage" or @type="wedding"]</condition>
                <subject prefix="local">/concat(tei:event//tei:persName[1]/replace(@ref, "#", ""),"_",tei:event//tei:persName[2]/replace(@ref, "#", ""),"_Wedding")</subject>
                <predicate prefix="cwrc">PunctiveTime</predicate>
                <object prefix="local" type="date">/tei:event/@when</object>
            </statement>
             <statement>
                <condition>/../tei:person/tei:event[@type="marriage" or @type="wedding"]</condition>
                <subject prefix="local">/concat(tei:event//tei:persName[1]/replace(@ref, "#", ""),"_",tei:event//tei:persName[2]/replace(@ref, "#", ""),"_Marriage")</subject>
                <predicate prefix="rdf">type</predicate>
                <object prefix="cidoc" type="uri">E74_Group</object>
            </statement>
            <statement>
                <condition>/../tei:person/tei:event[@type="marriage" or @type="wedding"]</condition>
                <subject prefix="local">/concat(tei:event//tei:persName[1]/replace(@ref, "#", ""),"_",tei:event//tei:persName[2]/replace(@ref, "#", ""),"_Marriage")</subject>
                <predicate prefix="cidoc">P2_has_type</predicate>
                <object datatype="literal" lang="en">marriage</object>
            </statement>

             <!-- OTHERS EVENTS -->
             <statement>
                <condition>/../tei:person/tei:event[@type!="marriage" and @type!="wedding"]</condition>
                <subject prefix="local">/concat(@xml:id,"_",./tei:event/@type)</subject>
                <predicate prefix="rdf">type</predicate>
                <object prefix="cidoc" type="uri">E5_Event</object>
            </statement>
            <statement>
                <condition>/../tei:person/tei:event[@type!="marriage" and @type!="wedding"]</condition>
                <subject prefix="local">/concat(@xml:id,"_",./tei:event/@type)</subject>
                <predicate prefix="cwrc">PunctiveTime</predicate> <!-- crwc:hasDeathDate-->
                <object prefix="local" type="date">/tei:event/@when</object>
            </statement>
            <statement>
                <condition>/../tei:person/tei:event[@type!="marriage" and @type!="wedding"]</condition>
                <subject prefix="local">/concat(@xml:id,"_",./tei:event/@type)</subject>
                <predicate prefix="cidoc">P11_had_participant</predicate> <!-- crwc:hasDeathDate-->
                <!-- <object  prefix="local" type="uri">/event//persName/@ref</object> -->
                <object  prefix="local" type="uri">/tei:event//tei:persName/replace(@ref, "#", "")</object>
            </statement>
              <statement>
                <condition>/../tei:person/tei:event[@type!="marriage" and @type!="wedding"]</condition>
                <subject prefix="local">/concat(@xml:id,"_",./tei:event/@type)</subject>
                <predicate prefix="cidoc">P3_hasNote</predicate>
                <object datatype="literal" lang="en">/normalize-space(/tei:event/tei:desc/*/text())</object>
            </statement>
            <statement>
                <condition>/../tei:person/tei:event[@type!="marriage" and @type!="wedding"]</condition>
                <subject prefix="local">/concat(@xml:id,"_",./tei:event/@type)</subject>
                <predicate prefix="cidoc">P2_has_type</predicate>
                <object datatype="literal" lang="en">/tei:event/tei:label/text()</object>
            </statement>
        </triples>
    </configuration> 
    <!-- Changed the location path to only get the items from div-HistoricalPeople -->
    <collection uri="http://www.constancecrompton.com/2020/7_ringwald_CraikSiteIndex_2020-05-27_all.xml">
        <resource uri="{//tei:div[@type='HistoricalPeople']/tei:listPerson/tei:person[@xml:id='DMC' or @xml:id='MacmillanDaniel' or @xml:id='CraikGeorge']}" />
    </collection>
</xtriples>